import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { PromiseOrValue } from "../../common";
import type { Events, EventsInterface } from "../../State.sol/Events";
declare type EventsConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class Events__factory extends ContractFactory {
    constructor(...args: EventsConstructorParams);
    deploy(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<Events>;
    getDeployTransaction(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): TransactionRequest;
    attach(address: string): Events;
    connect(signer: Signer): Events__factory;
    static readonly bytecode = "0x6080604052348015600f57600080fd5b50603f80601d6000396000f3fe6080604052600080fdfea2646970667358221220dc136fb15061bf210fd5bb2bb3d98d044ee3f4283caaf2ed49d5dabf69e1d93864736f6c63430008040033";
    static readonly abi: readonly [{
        readonly type: "event";
        readonly name: "LogGuardianSetChanged";
        readonly inputs: readonly [{
            readonly name: "oldGuardianIndex";
            readonly type: "uint32";
            readonly indexed: false;
            readonly internalType: "uint32";
        }, {
            readonly name: "newGuardianIndex";
            readonly type: "uint32";
            readonly indexed: false;
            readonly internalType: "uint32";
        }];
        readonly anonymous: false;
    }, {
        readonly type: "event";
        readonly name: "LogMessagePublished";
        readonly inputs: readonly [{
            readonly name: "emitter_address";
            readonly type: "address";
            readonly indexed: false;
            readonly internalType: "address";
        }, {
            readonly name: "nonce";
            readonly type: "uint32";
            readonly indexed: false;
            readonly internalType: "uint32";
        }, {
            readonly name: "payload";
            readonly type: "bytes";
            readonly indexed: false;
            readonly internalType: "bytes";
        }];
        readonly anonymous: false;
    }];
    static createInterface(): EventsInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): Events;
}
export {};
