import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { PromiseOrValue } from "../common";
import type { BytesParsing, BytesParsingInterface } from "../BytesParsing";
declare type BytesParsingConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class BytesParsing__factory extends ContractFactory {
    constructor(...args: BytesParsingConstructorParams);
    deploy(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<BytesParsing>;
    getDeployTransaction(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): TransactionRequest;
    attach(address: string): BytesParsing;
    connect(signer: Signer): BytesParsing__factory;
    static readonly bytecode = "0x60808060405234601757603a9081601d823930815050f35b600080fdfe600080fdfea26469706673582212201c86e6e3c269ffacd091eefebddca19c4eeb4b3b87921e8e3198c8fd10f575f564736f6c63430008130033";
    static readonly abi: readonly [{
        readonly type: "error";
        readonly name: "OutOfBounds";
        readonly inputs: readonly [{
            readonly name: "offset";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }, {
            readonly name: "length";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }];
    }];
    static createInterface(): BytesParsingInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): BytesParsing;
}
export {};
