import { Signer } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type { DeliveryProviderGovernance, DeliveryProviderGovernanceInterface } from "../DeliveryProviderGovernance";
export declare class DeliveryProviderGovernance__factory {
    static readonly abi: readonly [{
        readonly type: "function";
        readonly name: "assetConversionBuffer";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly outputs: readonly [{
            readonly name: "buffer";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "bufferDenominator";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "chainId";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "confirmOwnershipTransferRequest";
        readonly inputs: readonly [];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "coreRelayer";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "deliverGasOverhead";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
            readonly internalType: "Gas";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "gasPrice";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
            readonly internalType: "GasPrice";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "isInitialized";
        readonly inputs: readonly [{
            readonly name: "impl";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "maximumBudget";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
            readonly internalType: "TargetNative";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "nativeCurrencyPrice";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
            readonly internalType: "WeiPrice";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "owner";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "pendingOwner";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "pricingWallet";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "rewardAddress";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
            readonly internalType: "address payable";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "submitOwnershipTransferRequest";
        readonly inputs: readonly [{
            readonly name: "thisRelayerChainId";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "newOwner";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "targetChainAddress";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "updateAssetConversionBuffer";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "buffer";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "bufferDenominator";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updateAssetConversionBuffers";
        readonly inputs: readonly [{
            readonly name: "updates";
            readonly type: "tuple[]";
            readonly internalType: "struct DeliveryProviderStructs.AssetConversionBufferUpdate[]";
            readonly components: readonly [{
                readonly name: "chainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "buffer";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "bufferDenominator";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }];
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updateConfig";
        readonly inputs: readonly [{
            readonly name: "updates";
            readonly type: "tuple[]";
            readonly internalType: "struct DeliveryProviderStructs.Update[]";
            readonly components: readonly [{
                readonly name: "updateAssetConversionBuffer";
                readonly type: "bool";
                readonly internalType: "bool";
            }, {
                readonly name: "updateDeliverGasOverhead";
                readonly type: "bool";
                readonly internalType: "bool";
            }, {
                readonly name: "updatePrice";
                readonly type: "bool";
                readonly internalType: "bool";
            }, {
                readonly name: "updateTargetChainAddress";
                readonly type: "bool";
                readonly internalType: "bool";
            }, {
                readonly name: "updateMaximumBudget";
                readonly type: "bool";
                readonly internalType: "bool";
            }, {
                readonly name: "updateSupportedChain";
                readonly type: "bool";
                readonly internalType: "bool";
            }, {
                readonly name: "isSupported";
                readonly type: "bool";
                readonly internalType: "bool";
            }, {
                readonly name: "chainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "buffer";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "bufferDenominator";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "newGasOverhead";
                readonly type: "uint256";
                readonly internalType: "Gas";
            }, {
                readonly name: "gasPrice";
                readonly type: "uint256";
                readonly internalType: "GasPrice";
            }, {
                readonly name: "nativeCurrencyPrice";
                readonly type: "uint256";
                readonly internalType: "WeiPrice";
            }, {
                readonly name: "targetChainAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "maximumTotalBudget";
                readonly type: "uint256";
                readonly internalType: "Wei";
            }];
        }, {
            readonly name: "coreConfig";
            readonly type: "tuple";
            readonly internalType: "struct DeliveryProviderStructs.CoreConfig";
            readonly components: readonly [{
                readonly name: "updateWormholeRelayer";
                readonly type: "bool";
                readonly internalType: "bool";
            }, {
                readonly name: "updateRewardAddress";
                readonly type: "bool";
                readonly internalType: "bool";
            }, {
                readonly name: "updateSupportedKeyTypes";
                readonly type: "bool";
                readonly internalType: "bool";
            }, {
                readonly name: "coreRelayer";
                readonly type: "address";
                readonly internalType: "address payable";
            }, {
                readonly name: "rewardAddress";
                readonly type: "address";
                readonly internalType: "address payable";
            }, {
                readonly name: "supportedKeyTypesBitmap";
                readonly type: "uint256";
                readonly internalType: "uint256";
            }];
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updateDeliverGasOverhead";
        readonly inputs: readonly [{
            readonly name: "chainId";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "newGasOverhead";
            readonly type: "uint256";
            readonly internalType: "Gas";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updateDeliverGasOverheads";
        readonly inputs: readonly [{
            readonly name: "overheadUpdates";
            readonly type: "tuple[]";
            readonly internalType: "struct DeliveryProviderStructs.DeliverGasOverheadUpdate[]";
            readonly components: readonly [{
                readonly name: "chainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "newGasOverhead";
                readonly type: "uint256";
                readonly internalType: "Gas";
            }];
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updateMaximumBudget";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "maximumTotalBudget";
            readonly type: "uint256";
            readonly internalType: "Wei";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updateMaximumBudgets";
        readonly inputs: readonly [{
            readonly name: "updates";
            readonly type: "tuple[]";
            readonly internalType: "struct DeliveryProviderStructs.MaximumBudgetUpdate[]";
            readonly components: readonly [{
                readonly name: "chainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "maximumTotalBudget";
                readonly type: "uint256";
                readonly internalType: "Wei";
            }];
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updatePrice";
        readonly inputs: readonly [{
            readonly name: "updateChainId";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "updateGasPrice";
            readonly type: "uint256";
            readonly internalType: "GasPrice";
        }, {
            readonly name: "updateNativeCurrencyPrice";
            readonly type: "uint256";
            readonly internalType: "WeiPrice";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updatePrices";
        readonly inputs: readonly [{
            readonly name: "updates";
            readonly type: "tuple[]";
            readonly internalType: "struct DeliveryProviderStructs.UpdatePrice[]";
            readonly components: readonly [{
                readonly name: "chainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "gasPrice";
                readonly type: "uint256";
                readonly internalType: "GasPrice";
            }, {
                readonly name: "nativeCurrencyPrice";
                readonly type: "uint256";
                readonly internalType: "WeiPrice";
            }];
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updatePricingWallet";
        readonly inputs: readonly [{
            readonly name: "newPricingWallet";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updateRewardAddress";
        readonly inputs: readonly [{
            readonly name: "newAddress";
            readonly type: "address";
            readonly internalType: "address payable";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updateSupportedChain";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "isSupported";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updateSupportedChains";
        readonly inputs: readonly [{
            readonly name: "updates";
            readonly type: "tuple[]";
            readonly internalType: "struct DeliveryProviderStructs.SupportedChainUpdate[]";
            readonly components: readonly [{
                readonly name: "chainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "isSupported";
                readonly type: "bool";
                readonly internalType: "bool";
            }];
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updateSupportedMessageKeyTypes";
        readonly inputs: readonly [{
            readonly name: "keyType";
            readonly type: "uint8";
            readonly internalType: "uint8";
        }, {
            readonly name: "supported";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updateTargetChainAddress";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "newAddress";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updateTargetChainAddresses";
        readonly inputs: readonly [{
            readonly name: "updates";
            readonly type: "tuple[]";
            readonly internalType: "struct DeliveryProviderStructs.TargetChainUpdate[]";
            readonly components: readonly [{
                readonly name: "chainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "targetChainAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }];
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "updateWormholeRelayer";
        readonly inputs: readonly [{
            readonly name: "newAddress";
            readonly type: "address";
            readonly internalType: "address payable";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "upgrade";
        readonly inputs: readonly [{
            readonly name: "deliveryProviderChainId";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "newImplementation";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "event";
        readonly name: "AdminChanged";
        readonly inputs: readonly [{
            readonly name: "previousAdmin";
            readonly type: "address";
            readonly indexed: false;
            readonly internalType: "address";
        }, {
            readonly name: "newAdmin";
            readonly type: "address";
            readonly indexed: false;
            readonly internalType: "address";
        }];
        readonly anonymous: false;
    }, {
        readonly type: "event";
        readonly name: "AssetConversionBufferUpdated";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly indexed: false;
            readonly internalType: "uint16";
        }, {
            readonly name: "buffer";
            readonly type: "uint16";
            readonly indexed: false;
            readonly internalType: "uint16";
        }, {
            readonly name: "bufferDenominator";
            readonly type: "uint16";
            readonly indexed: false;
            readonly internalType: "uint16";
        }];
        readonly anonymous: false;
    }, {
        readonly type: "event";
        readonly name: "BeaconUpgraded";
        readonly inputs: readonly [{
            readonly name: "beacon";
            readonly type: "address";
            readonly indexed: true;
            readonly internalType: "address";
        }];
        readonly anonymous: false;
    }, {
        readonly type: "event";
        readonly name: "ChainSupportUpdated";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly indexed: false;
            readonly internalType: "uint16";
        }, {
            readonly name: "isSupported";
            readonly type: "bool";
            readonly indexed: false;
            readonly internalType: "bool";
        }];
        readonly anonymous: false;
    }, {
        readonly type: "event";
        readonly name: "ContractUpgraded";
        readonly inputs: readonly [{
            readonly name: "oldContract";
            readonly type: "address";
            readonly indexed: true;
            readonly internalType: "address";
        }, {
            readonly name: "newContract";
            readonly type: "address";
            readonly indexed: true;
            readonly internalType: "address";
        }];
        readonly anonymous: false;
    }, {
        readonly type: "event";
        readonly name: "DeliverGasOverheadUpdated";
        readonly inputs: readonly [{
            readonly name: "oldGasOverhead";
            readonly type: "uint256";
            readonly indexed: true;
            readonly internalType: "Gas";
        }, {
            readonly name: "newGasOverhead";
            readonly type: "uint256";
            readonly indexed: true;
            readonly internalType: "Gas";
        }];
        readonly anonymous: false;
    }, {
        readonly type: "event";
        readonly name: "OwnershipTransfered";
        readonly inputs: readonly [{
            readonly name: "oldOwner";
            readonly type: "address";
            readonly indexed: true;
            readonly internalType: "address";
        }, {
            readonly name: "newOwner";
            readonly type: "address";
            readonly indexed: true;
            readonly internalType: "address";
        }];
        readonly anonymous: false;
    }, {
        readonly type: "event";
        readonly name: "RewardAddressUpdated";
        readonly inputs: readonly [{
            readonly name: "newAddress";
            readonly type: "address";
            readonly indexed: true;
            readonly internalType: "address";
        }];
        readonly anonymous: false;
    }, {
        readonly type: "event";
        readonly name: "TargetChainAddressUpdated";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly indexed: true;
            readonly internalType: "uint16";
        }, {
            readonly name: "newAddress";
            readonly type: "bytes32";
            readonly indexed: true;
            readonly internalType: "bytes32";
        }];
        readonly anonymous: false;
    }, {
        readonly type: "event";
        readonly name: "Upgraded";
        readonly inputs: readonly [{
            readonly name: "implementation";
            readonly type: "address";
            readonly indexed: true;
            readonly internalType: "address";
        }];
        readonly anonymous: false;
    }, {
        readonly type: "event";
        readonly name: "WormholeRelayerUpdated";
        readonly inputs: readonly [{
            readonly name: "coreRelayer";
            readonly type: "address";
            readonly indexed: false;
            readonly internalType: "address";
        }];
        readonly anonymous: false;
    }, {
        readonly type: "error";
        readonly name: "AddressIsZero";
        readonly inputs: readonly [];
    }, {
        readonly type: "error";
        readonly name: "CallerMustBeOwner";
        readonly inputs: readonly [];
    }, {
        readonly type: "error";
        readonly name: "CallerMustBeOwnerOrPricingWallet";
        readonly inputs: readonly [];
    }, {
        readonly type: "error";
        readonly name: "CallerMustBePendingOwner";
        readonly inputs: readonly [];
    }, {
        readonly type: "error";
        readonly name: "ChainIdIsZero";
        readonly inputs: readonly [];
    }, {
        readonly type: "error";
        readonly name: "FailedToInitializeImplementation";
        readonly inputs: readonly [{
            readonly name: "reason";
            readonly type: "string";
            readonly internalType: "string";
        }];
    }, {
        readonly type: "error";
        readonly name: "GasPriceIsZero";
        readonly inputs: readonly [];
    }, {
        readonly type: "error";
        readonly name: "NativeCurrencyPriceIsZero";
        readonly inputs: readonly [];
    }, {
        readonly type: "error";
        readonly name: "WrongChainId";
        readonly inputs: readonly [];
    }];
    static createInterface(): DeliveryProviderGovernanceInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): DeliveryProviderGovernance;
}
