import { Signer } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type { IDeliveryProvider, IDeliveryProviderInterface } from "../../IDeliveryProviderTyped.sol/IDeliveryProvider";
export declare class IDeliveryProvider__factory {
    static readonly abi: readonly [{
        readonly type: "function";
        readonly name: "getRewardAddress";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "rewardAddress";
            readonly type: "address";
            readonly internalType: "address payable";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "getSupportedKeys";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "bitmap";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "getTargetChainAddress";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly outputs: readonly [{
            readonly name: "deliveryProviderAddress";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "isChainSupported";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly outputs: readonly [{
            readonly name: "supported";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "isMessageKeyTypeSupported";
        readonly inputs: readonly [{
            readonly name: "keyType";
            readonly type: "uint8";
            readonly internalType: "uint8";
        }];
        readonly outputs: readonly [{
            readonly name: "supported";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "quoteAssetConversion";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "currentChainAmount";
            readonly type: "uint256";
            readonly internalType: "LocalNative";
        }];
        readonly outputs: readonly [{
            readonly name: "targetChainAmount";
            readonly type: "uint256";
            readonly internalType: "TargetNative";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "quoteDeliveryPrice";
        readonly inputs: readonly [{
            readonly name: "targetChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "receiverValue";
            readonly type: "uint256";
            readonly internalType: "TargetNative";
        }, {
            readonly name: "encodedExecutionParams";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "nativePriceQuote";
            readonly type: "uint256";
            readonly internalType: "LocalNative";
        }, {
            readonly name: "encodedExecutionInfo";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly stateMutability: "view";
    }];
    static createInterface(): IDeliveryProviderInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IDeliveryProvider;
}
