import { Signer } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type { IWormholeRelayerDelivery, IWormholeRelayerDeliveryInterface } from "../../IWormholeRelayerTyped.sol/IWormholeRelayerDelivery";
export declare class IWormholeRelayerDelivery__factory {
    static readonly abi: readonly [{
        readonly type: "function";
        readonly name: "deliver";
        readonly inputs: readonly [{
            readonly name: "encodedVMs";
            readonly type: "bytes[]";
            readonly internalType: "bytes[]";
        }, {
            readonly name: "encodedDeliveryVAA";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }, {
            readonly name: "relayerRefundAddress";
            readonly type: "address";
            readonly internalType: "address payable";
        }, {
            readonly name: "deliveryOverrides";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly name: "deliveryAttempted";
        readonly inputs: readonly [{
            readonly name: "deliveryHash";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly outputs: readonly [{
            readonly name: "attempted";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "deliveryFailureBlock";
        readonly inputs: readonly [{
            readonly name: "deliveryHash";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly outputs: readonly [{
            readonly name: "blockNumber";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "deliverySuccessBlock";
        readonly inputs: readonly [{
            readonly name: "deliveryHash";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly outputs: readonly [{
            readonly name: "blockNumber";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "getRegisteredWormholeRelayerContract";
        readonly inputs: readonly [{
            readonly name: "chainId";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "event";
        readonly name: "Delivery";
        readonly inputs: readonly [{
            readonly name: "recipientContract";
            readonly type: "address";
            readonly indexed: true;
            readonly internalType: "address";
        }, {
            readonly name: "sourceChain";
            readonly type: "uint16";
            readonly indexed: true;
            readonly internalType: "uint16";
        }, {
            readonly name: "sequence";
            readonly type: "uint64";
            readonly indexed: true;
            readonly internalType: "uint64";
        }, {
            readonly name: "deliveryVaaHash";
            readonly type: "bytes32";
            readonly indexed: false;
            readonly internalType: "bytes32";
        }, {
            readonly name: "status";
            readonly type: "uint8";
            readonly indexed: false;
            readonly internalType: "enum IWormholeRelayerDelivery.DeliveryStatus";
        }, {
            readonly name: "gasUsed";
            readonly type: "uint256";
            readonly indexed: false;
            readonly internalType: "Gas";
        }, {
            readonly name: "refundStatus";
            readonly type: "uint8";
            readonly indexed: false;
            readonly internalType: "enum IWormholeRelayerDelivery.RefundStatus";
        }, {
            readonly name: "additionalStatusInfo";
            readonly type: "bytes";
            readonly indexed: false;
            readonly internalType: "bytes";
        }, {
            readonly name: "overridesInfo";
            readonly type: "bytes";
            readonly indexed: false;
            readonly internalType: "bytes";
        }];
        readonly anonymous: false;
    }, {
        readonly type: "event";
        readonly name: "SendEvent";
        readonly inputs: readonly [{
            readonly name: "sequence";
            readonly type: "uint64";
            readonly indexed: true;
            readonly internalType: "uint64";
        }, {
            readonly name: "deliveryQuote";
            readonly type: "uint256";
            readonly indexed: false;
            readonly internalType: "LocalNative";
        }, {
            readonly name: "paymentForExtraReceiverValue";
            readonly type: "uint256";
            readonly indexed: false;
            readonly internalType: "LocalNative";
        }];
        readonly anonymous: false;
    }];
    static createInterface(): IWormholeRelayerDeliveryInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IWormholeRelayerDelivery;
}
