import { Signer } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type { INFTBridge, INFTBridgeInterface } from "../INFTBridge";
export declare class INFTBridge__factory {
    static readonly abi: readonly [{
        readonly type: "function";
        readonly name: "bridgeContracts";
        readonly inputs: readonly [{
            readonly name: "chainId_";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "chainId";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "completeTransfer";
        readonly inputs: readonly [{
            readonly name: "encodeVm";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "encodeTransfer";
        readonly inputs: readonly [{
            readonly name: "transfer";
            readonly type: "tuple";
            readonly internalType: "struct INFTBridge.Transfer";
            readonly components: readonly [{
                readonly name: "tokenAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "tokenChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "symbol";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "name";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "tokenID";
                readonly type: "uint256";
                readonly internalType: "uint256";
            }, {
                readonly name: "uri";
                readonly type: "string";
                readonly internalType: "string";
            }, {
                readonly name: "to";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "toChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }];
        }];
        readonly outputs: readonly [{
            readonly name: "encoded";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "evmChainId";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "finality";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint8";
            readonly internalType: "uint8";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "governanceActionIsConsumed";
        readonly inputs: readonly [{
            readonly name: "hash";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "governanceChainId";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "governanceContract";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "implementation";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "initialize";
        readonly inputs: readonly [];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "isFork";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "isInitialized";
        readonly inputs: readonly [{
            readonly name: "impl";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "isTransferCompleted";
        readonly inputs: readonly [{
            readonly name: "hash";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "isWrappedAsset";
        readonly inputs: readonly [{
            readonly name: "token";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "onERC721Received";
        readonly inputs: readonly [{
            readonly name: "operator";
            readonly type: "address";
            readonly internalType: "address";
        }, {
            readonly name: "";
            readonly type: "address";
            readonly internalType: "address";
        }, {
            readonly name: "";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }, {
            readonly name: "";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bytes4";
            readonly internalType: "bytes4";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "parseRecoverChainId";
        readonly inputs: readonly [{
            readonly name: "encodedRecoverChainId";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "rci";
            readonly type: "tuple";
            readonly internalType: "struct INFTBridge.RecoverChainId";
            readonly components: readonly [{
                readonly name: "module";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "action";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "evmChainId";
                readonly type: "uint256";
                readonly internalType: "uint256";
            }, {
                readonly name: "newChainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }];
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "parseRegisterChain";
        readonly inputs: readonly [{
            readonly name: "encoded";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "chain";
            readonly type: "tuple";
            readonly internalType: "struct INFTBridge.RegisterChain";
            readonly components: readonly [{
                readonly name: "module";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "action";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "chainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "emitterChainID";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "emitterAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }];
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "parseTransfer";
        readonly inputs: readonly [{
            readonly name: "encoded";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "transfer";
            readonly type: "tuple";
            readonly internalType: "struct INFTBridge.Transfer";
            readonly components: readonly [{
                readonly name: "tokenAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "tokenChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "symbol";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "name";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "tokenID";
                readonly type: "uint256";
                readonly internalType: "uint256";
            }, {
                readonly name: "uri";
                readonly type: "string";
                readonly internalType: "string";
            }, {
                readonly name: "to";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "toChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }];
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "parseUpgrade";
        readonly inputs: readonly [{
            readonly name: "encoded";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "chain";
            readonly type: "tuple";
            readonly internalType: "struct INFTBridge.UpgradeContract";
            readonly components: readonly [{
                readonly name: "module";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "action";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "chainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "newContract";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }];
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "registerChain";
        readonly inputs: readonly [{
            readonly name: "encodedVM";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "splCache";
        readonly inputs: readonly [{
            readonly name: "tokenId";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "tuple";
            readonly internalType: "struct INFTBridge.SPLCache";
            readonly components: readonly [{
                readonly name: "name";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "symbol";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }];
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "submitRecoverChainId";
        readonly inputs: readonly [{
            readonly name: "encodedVM";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "tokenImplementation";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "transferNFT";
        readonly inputs: readonly [{
            readonly name: "token";
            readonly type: "address";
            readonly internalType: "address";
        }, {
            readonly name: "tokenID";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }, {
            readonly name: "recipientChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "recipient";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }, {
            readonly name: "nonce";
            readonly type: "uint32";
            readonly internalType: "uint32";
        }];
        readonly outputs: readonly [{
            readonly name: "sequence";
            readonly type: "uint64";
            readonly internalType: "uint64";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly name: "upgrade";
        readonly inputs: readonly [{
            readonly name: "encodedVM";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "wormhole";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
            readonly internalType: "contract IWormhole";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "wrappedAsset";
        readonly inputs: readonly [{
            readonly name: "tokenChainId";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "tokenAddress";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "event";
        readonly name: "ContractUpgraded";
        readonly inputs: readonly [{
            readonly name: "oldContract";
            readonly type: "address";
            readonly indexed: true;
            readonly internalType: "address";
        }, {
            readonly name: "newContract";
            readonly type: "address";
            readonly indexed: true;
            readonly internalType: "address";
        }];
        readonly anonymous: false;
    }];
    static createInterface(): INFTBridgeInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): INFTBridge;
}
