import { Signer } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type { ITokenBridge, ITokenBridgeInterface } from "../ITokenBridge";
export declare class ITokenBridge__factory {
    static readonly abi: readonly [{
        readonly type: "function";
        readonly name: "WETH";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
            readonly internalType: "contract IWETH";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "_parseTransferCommon";
        readonly inputs: readonly [{
            readonly name: "encoded";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "transfer";
            readonly type: "tuple";
            readonly internalType: "struct ITokenBridge.Transfer";
            readonly components: readonly [{
                readonly name: "payloadID";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "amount";
                readonly type: "uint256";
                readonly internalType: "uint256";
            }, {
                readonly name: "tokenAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "tokenChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "to";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "toChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "fee";
                readonly type: "uint256";
                readonly internalType: "uint256";
            }];
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "attestToken";
        readonly inputs: readonly [{
            readonly name: "tokenAddress";
            readonly type: "address";
            readonly internalType: "address";
        }, {
            readonly name: "nonce";
            readonly type: "uint32";
            readonly internalType: "uint32";
        }];
        readonly outputs: readonly [{
            readonly name: "sequence";
            readonly type: "uint64";
            readonly internalType: "uint64";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly name: "bridgeContracts";
        readonly inputs: readonly [{
            readonly name: "chainId_";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "chainId";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "completeTransfer";
        readonly inputs: readonly [{
            readonly name: "encodedVm";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "completeTransferAndUnwrapETH";
        readonly inputs: readonly [{
            readonly name: "encodedVm";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "completeTransferAndUnwrapETHWithPayload";
        readonly inputs: readonly [{
            readonly name: "encodedVm";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "completeTransferWithPayload";
        readonly inputs: readonly [{
            readonly name: "encodedVm";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "createWrapped";
        readonly inputs: readonly [{
            readonly name: "encodedVm";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "token";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "encodeAssetMeta";
        readonly inputs: readonly [{
            readonly name: "meta";
            readonly type: "tuple";
            readonly internalType: "struct ITokenBridge.AssetMeta";
            readonly components: readonly [{
                readonly name: "payloadID";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "tokenAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "tokenChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "decimals";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "symbol";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "name";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }];
        }];
        readonly outputs: readonly [{
            readonly name: "encoded";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "encodeTransfer";
        readonly inputs: readonly [{
            readonly name: "transfer";
            readonly type: "tuple";
            readonly internalType: "struct ITokenBridge.Transfer";
            readonly components: readonly [{
                readonly name: "payloadID";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "amount";
                readonly type: "uint256";
                readonly internalType: "uint256";
            }, {
                readonly name: "tokenAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "tokenChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "to";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "toChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "fee";
                readonly type: "uint256";
                readonly internalType: "uint256";
            }];
        }];
        readonly outputs: readonly [{
            readonly name: "encoded";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "encodeTransferWithPayload";
        readonly inputs: readonly [{
            readonly name: "transfer";
            readonly type: "tuple";
            readonly internalType: "struct ITokenBridge.TransferWithPayload";
            readonly components: readonly [{
                readonly name: "payloadID";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "amount";
                readonly type: "uint256";
                readonly internalType: "uint256";
            }, {
                readonly name: "tokenAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "tokenChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "to";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "toChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "fromAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "payload";
                readonly type: "bytes";
                readonly internalType: "bytes";
            }];
        }];
        readonly outputs: readonly [{
            readonly name: "encoded";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "evmChainId";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "finality";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint8";
            readonly internalType: "uint8";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "governanceActionIsConsumed";
        readonly inputs: readonly [{
            readonly name: "hash";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "governanceChainId";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "governanceContract";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "implementation";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "initialize";
        readonly inputs: readonly [];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "isFork";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "isInitialized";
        readonly inputs: readonly [{
            readonly name: "impl";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "isTransferCompleted";
        readonly inputs: readonly [{
            readonly name: "hash";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "isWrappedAsset";
        readonly inputs: readonly [{
            readonly name: "token";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "outstandingBridged";
        readonly inputs: readonly [{
            readonly name: "token";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "parseAssetMeta";
        readonly inputs: readonly [{
            readonly name: "encoded";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "meta";
            readonly type: "tuple";
            readonly internalType: "struct ITokenBridge.AssetMeta";
            readonly components: readonly [{
                readonly name: "payloadID";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "tokenAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "tokenChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "decimals";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "symbol";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "name";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }];
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "parsePayloadID";
        readonly inputs: readonly [{
            readonly name: "encoded";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "payloadID";
            readonly type: "uint8";
            readonly internalType: "uint8";
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "parseRecoverChainId";
        readonly inputs: readonly [{
            readonly name: "encodedRecoverChainId";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "rci";
            readonly type: "tuple";
            readonly internalType: "struct ITokenBridge.RecoverChainId";
            readonly components: readonly [{
                readonly name: "module";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "action";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "evmChainId";
                readonly type: "uint256";
                readonly internalType: "uint256";
            }, {
                readonly name: "newChainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }];
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "parseRegisterChain";
        readonly inputs: readonly [{
            readonly name: "encoded";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "chain";
            readonly type: "tuple";
            readonly internalType: "struct ITokenBridge.RegisterChain";
            readonly components: readonly [{
                readonly name: "module";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "action";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "chainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "emitterChainID";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "emitterAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }];
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "parseTransfer";
        readonly inputs: readonly [{
            readonly name: "encoded";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "transfer";
            readonly type: "tuple";
            readonly internalType: "struct ITokenBridge.Transfer";
            readonly components: readonly [{
                readonly name: "payloadID";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "amount";
                readonly type: "uint256";
                readonly internalType: "uint256";
            }, {
                readonly name: "tokenAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "tokenChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "to";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "toChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "fee";
                readonly type: "uint256";
                readonly internalType: "uint256";
            }];
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "parseTransferWithPayload";
        readonly inputs: readonly [{
            readonly name: "encoded";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "transfer";
            readonly type: "tuple";
            readonly internalType: "struct ITokenBridge.TransferWithPayload";
            readonly components: readonly [{
                readonly name: "payloadID";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "amount";
                readonly type: "uint256";
                readonly internalType: "uint256";
            }, {
                readonly name: "tokenAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "tokenChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "to";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "toChain";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "fromAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "payload";
                readonly type: "bytes";
                readonly internalType: "bytes";
            }];
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "parseUpgrade";
        readonly inputs: readonly [{
            readonly name: "encoded";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "chain";
            readonly type: "tuple";
            readonly internalType: "struct ITokenBridge.UpgradeContract";
            readonly components: readonly [{
                readonly name: "module";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "action";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "chainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "newContract";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }];
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "registerChain";
        readonly inputs: readonly [{
            readonly name: "encodedVM";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "submitRecoverChainId";
        readonly inputs: readonly [{
            readonly name: "encodedVM";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "tokenImplementation";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "transferTokens";
        readonly inputs: readonly [{
            readonly name: "token";
            readonly type: "address";
            readonly internalType: "address";
        }, {
            readonly name: "amount";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }, {
            readonly name: "recipientChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "recipient";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }, {
            readonly name: "arbiterFee";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }, {
            readonly name: "nonce";
            readonly type: "uint32";
            readonly internalType: "uint32";
        }];
        readonly outputs: readonly [{
            readonly name: "sequence";
            readonly type: "uint64";
            readonly internalType: "uint64";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly name: "transferTokensWithPayload";
        readonly inputs: readonly [{
            readonly name: "token";
            readonly type: "address";
            readonly internalType: "address";
        }, {
            readonly name: "amount";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }, {
            readonly name: "recipientChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "recipient";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }, {
            readonly name: "nonce";
            readonly type: "uint32";
            readonly internalType: "uint32";
        }, {
            readonly name: "payload";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "sequence";
            readonly type: "uint64";
            readonly internalType: "uint64";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly name: "updateWrapped";
        readonly inputs: readonly [{
            readonly name: "encodedVm";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "token";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "upgrade";
        readonly inputs: readonly [{
            readonly name: "encodedVM";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "wormhole";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
            readonly internalType: "contract IWormhole";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "wrapAndTransferETH";
        readonly inputs: readonly [{
            readonly name: "recipientChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "recipient";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }, {
            readonly name: "arbiterFee";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }, {
            readonly name: "nonce";
            readonly type: "uint32";
            readonly internalType: "uint32";
        }];
        readonly outputs: readonly [{
            readonly name: "sequence";
            readonly type: "uint64";
            readonly internalType: "uint64";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly name: "wrapAndTransferETHWithPayload";
        readonly inputs: readonly [{
            readonly name: "recipientChain";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "recipient";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }, {
            readonly name: "nonce";
            readonly type: "uint32";
            readonly internalType: "uint32";
        }, {
            readonly name: "payload";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [{
            readonly name: "sequence";
            readonly type: "uint64";
            readonly internalType: "uint64";
        }];
        readonly stateMutability: "payable";
    }, {
        readonly type: "function";
        readonly name: "wrappedAsset";
        readonly inputs: readonly [{
            readonly name: "tokenChainId";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "tokenAddress";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "event";
        readonly name: "ContractUpgraded";
        readonly inputs: readonly [{
            readonly name: "oldContract";
            readonly type: "address";
            readonly indexed: true;
            readonly internalType: "address";
        }, {
            readonly name: "newContract";
            readonly type: "address";
            readonly indexed: true;
            readonly internalType: "address";
        }];
        readonly anonymous: false;
    }, {
        readonly type: "event";
        readonly name: "TransferRedeemed";
        readonly inputs: readonly [{
            readonly name: "emitterChainId";
            readonly type: "uint16";
            readonly indexed: true;
            readonly internalType: "uint16";
        }, {
            readonly name: "emitterAddress";
            readonly type: "bytes32";
            readonly indexed: true;
            readonly internalType: "bytes32";
        }, {
            readonly name: "sequence";
            readonly type: "uint64";
            readonly indexed: true;
            readonly internalType: "uint64";
        }];
        readonly anonymous: false;
    }];
    static createInterface(): ITokenBridgeInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ITokenBridge;
}
