import { Signer } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type { IWormholeRelayerBase, IWormholeRelayerBaseInterface } from "../../IWormholeRelayer.sol/IWormholeRelayerBase";
export declare class IWormholeRelayerBase__factory {
    static readonly abi: readonly [{
        readonly type: "function";
        readonly name: "deliveryAttempted";
        readonly inputs: readonly [{
            readonly name: "deliveryHash";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly outputs: readonly [{
            readonly name: "attempted";
            readonly type: "bool";
            readonly internalType: "bool";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "deliveryFailureBlock";
        readonly inputs: readonly [{
            readonly name: "deliveryHash";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly outputs: readonly [{
            readonly name: "blockNumber";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "deliverySuccessBlock";
        readonly inputs: readonly [{
            readonly name: "deliveryHash";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly outputs: readonly [{
            readonly name: "blockNumber";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "function";
        readonly name: "getRegisteredWormholeRelayerContract";
        readonly inputs: readonly [{
            readonly name: "chainId";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bytes32";
            readonly internalType: "bytes32";
        }];
        readonly stateMutability: "view";
    }, {
        readonly type: "event";
        readonly name: "SendEvent";
        readonly inputs: readonly [{
            readonly name: "sequence";
            readonly type: "uint64";
            readonly indexed: true;
            readonly internalType: "uint64";
        }, {
            readonly name: "deliveryQuote";
            readonly type: "uint256";
            readonly indexed: false;
            readonly internalType: "uint256";
        }, {
            readonly name: "paymentForExtraReceiverValue";
            readonly type: "uint256";
            readonly indexed: false;
            readonly internalType: "uint256";
        }];
        readonly anonymous: false;
    }];
    static createInterface(): IWormholeRelayerBaseInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IWormholeRelayerBase;
}
