import { Signer } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type { WormholeSimulator, WormholeSimulatorInterface } from "../../WormholeSimulator.sol/WormholeSimulator";
export declare class WormholeSimulator__factory {
    static readonly abi: readonly [{
        readonly type: "function";
        readonly name: "encodeAndSignMessage";
        readonly inputs: readonly [{
            readonly name: "vm_";
            readonly type: "tuple";
            readonly internalType: "struct IWormhole.VM";
            readonly components: readonly [{
                readonly name: "version";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "timestamp";
                readonly type: "uint32";
                readonly internalType: "uint32";
            }, {
                readonly name: "nonce";
                readonly type: "uint32";
                readonly internalType: "uint32";
            }, {
                readonly name: "emitterChainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "emitterAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "sequence";
                readonly type: "uint64";
                readonly internalType: "uint64";
            }, {
                readonly name: "consistencyLevel";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "payload";
                readonly type: "bytes";
                readonly internalType: "bytes";
            }, {
                readonly name: "guardianSetIndex";
                readonly type: "uint32";
                readonly internalType: "uint32";
            }, {
                readonly name: "signatures";
                readonly type: "tuple[]";
                readonly internalType: "struct IWormhole.Signature[]";
                readonly components: readonly [{
                    readonly name: "r";
                    readonly type: "bytes32";
                    readonly internalType: "bytes32";
                }, {
                    readonly name: "s";
                    readonly type: "bytes32";
                    readonly internalType: "bytes32";
                }, {
                    readonly name: "v";
                    readonly type: "uint8";
                    readonly internalType: "uint8";
                }, {
                    readonly name: "guardianIndex";
                    readonly type: "uint8";
                    readonly internalType: "uint8";
                }];
            }, {
                readonly name: "hash";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }];
        }];
        readonly outputs: readonly [{
            readonly name: "signedMessage";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "encodeObservation";
        readonly inputs: readonly [{
            readonly name: "vm_";
            readonly type: "tuple";
            readonly internalType: "struct IWormhole.VM";
            readonly components: readonly [{
                readonly name: "version";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "timestamp";
                readonly type: "uint32";
                readonly internalType: "uint32";
            }, {
                readonly name: "nonce";
                readonly type: "uint32";
                readonly internalType: "uint32";
            }, {
                readonly name: "emitterChainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "emitterAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "sequence";
                readonly type: "uint64";
                readonly internalType: "uint64";
            }, {
                readonly name: "consistencyLevel";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "payload";
                readonly type: "bytes";
                readonly internalType: "bytes";
            }, {
                readonly name: "guardianSetIndex";
                readonly type: "uint32";
                readonly internalType: "uint32";
            }, {
                readonly name: "signatures";
                readonly type: "tuple[]";
                readonly internalType: "struct IWormhole.Signature[]";
                readonly components: readonly [{
                    readonly name: "r";
                    readonly type: "bytes32";
                    readonly internalType: "bytes32";
                }, {
                    readonly name: "s";
                    readonly type: "bytes32";
                    readonly internalType: "bytes32";
                }, {
                    readonly name: "v";
                    readonly type: "uint8";
                    readonly internalType: "uint8";
                }, {
                    readonly name: "guardianIndex";
                    readonly type: "uint8";
                    readonly internalType: "uint8";
                }];
            }, {
                readonly name: "hash";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }];
        }];
        readonly outputs: readonly [{
            readonly name: "encodedObservation";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "fetchSignedMessageFromLogs";
        readonly inputs: readonly [{
            readonly name: "log";
            readonly type: "tuple";
            readonly internalType: "struct VmSafe.Log";
            readonly components: readonly [{
                readonly name: "topics";
                readonly type: "bytes32[]";
                readonly internalType: "bytes32[]";
            }, {
                readonly name: "data";
                readonly type: "bytes";
                readonly internalType: "bytes";
            }, {
                readonly name: "emitter";
                readonly type: "address";
                readonly internalType: "address";
            }];
        }, {
            readonly name: "emitterChainId";
            readonly type: "uint16";
            readonly internalType: "uint16";
        }, {
            readonly name: "emitterAddress";
            readonly type: "address";
            readonly internalType: "address";
        }];
        readonly outputs: readonly [{
            readonly name: "signedMessage";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "fetchWormholeMessageFromLog";
        readonly inputs: readonly [{
            readonly name: "logs";
            readonly type: "tuple[]";
            readonly internalType: "struct VmSafe.Log[]";
            readonly components: readonly [{
                readonly name: "topics";
                readonly type: "bytes32[]";
                readonly internalType: "bytes32[]";
            }, {
                readonly name: "data";
                readonly type: "bytes";
                readonly internalType: "bytes";
            }, {
                readonly name: "emitter";
                readonly type: "address";
                readonly internalType: "address";
            }];
        }];
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "tuple[]";
            readonly internalType: "struct VmSafe.Log[]";
            readonly components: readonly [{
                readonly name: "topics";
                readonly type: "bytes32[]";
                readonly internalType: "bytes32[]";
            }, {
                readonly name: "data";
                readonly type: "bytes";
                readonly internalType: "bytes";
            }, {
                readonly name: "emitter";
                readonly type: "address";
                readonly internalType: "address";
            }];
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "invalidateVM";
        readonly inputs: readonly [{
            readonly name: "message";
            readonly type: "bytes";
            readonly internalType: "bytes";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }, {
        readonly type: "function";
        readonly name: "parseVMFromLogs";
        readonly inputs: readonly [{
            readonly name: "log";
            readonly type: "tuple";
            readonly internalType: "struct VmSafe.Log";
            readonly components: readonly [{
                readonly name: "topics";
                readonly type: "bytes32[]";
                readonly internalType: "bytes32[]";
            }, {
                readonly name: "data";
                readonly type: "bytes";
                readonly internalType: "bytes";
            }, {
                readonly name: "emitter";
                readonly type: "address";
                readonly internalType: "address";
            }];
        }];
        readonly outputs: readonly [{
            readonly name: "vm_";
            readonly type: "tuple";
            readonly internalType: "struct IWormhole.VM";
            readonly components: readonly [{
                readonly name: "version";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "timestamp";
                readonly type: "uint32";
                readonly internalType: "uint32";
            }, {
                readonly name: "nonce";
                readonly type: "uint32";
                readonly internalType: "uint32";
            }, {
                readonly name: "emitterChainId";
                readonly type: "uint16";
                readonly internalType: "uint16";
            }, {
                readonly name: "emitterAddress";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }, {
                readonly name: "sequence";
                readonly type: "uint64";
                readonly internalType: "uint64";
            }, {
                readonly name: "consistencyLevel";
                readonly type: "uint8";
                readonly internalType: "uint8";
            }, {
                readonly name: "payload";
                readonly type: "bytes";
                readonly internalType: "bytes";
            }, {
                readonly name: "guardianSetIndex";
                readonly type: "uint32";
                readonly internalType: "uint32";
            }, {
                readonly name: "signatures";
                readonly type: "tuple[]";
                readonly internalType: "struct IWormhole.Signature[]";
                readonly components: readonly [{
                    readonly name: "r";
                    readonly type: "bytes32";
                    readonly internalType: "bytes32";
                }, {
                    readonly name: "s";
                    readonly type: "bytes32";
                    readonly internalType: "bytes32";
                }, {
                    readonly name: "v";
                    readonly type: "uint8";
                    readonly internalType: "uint8";
                }, {
                    readonly name: "guardianIndex";
                    readonly type: "uint8";
                    readonly internalType: "uint8";
                }];
            }, {
                readonly name: "hash";
                readonly type: "bytes32";
                readonly internalType: "bytes32";
            }];
        }];
        readonly stateMutability: "pure";
    }, {
        readonly type: "function";
        readonly name: "setMessageFee";
        readonly inputs: readonly [{
            readonly name: "newFee";
            readonly type: "uint256";
            readonly internalType: "uint256";
        }];
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
    }];
    static createInterface(): WormholeSimulatorInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): WormholeSimulator;
}
